package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.api.domain.SysRole;

public interface SysRoleMapper
{
    List<SysRole> selectRoleList(final SysRole p0);
    
    List<SysRole> selectRolePermissionByUserId(final Long p0);
    
    List<SysRole> selectRoleAll();
    
    List<Long> selectRoleListByUserId(final Long p0);
    
    SysRole selectRoleById(final Long p0);
    
    List<SysRole> selectRolesByUserName(final String p0);
    
    SysRole checkRoleNameUnique(final String p0);
    
    SysRole checkRoleKeyUnique(final String p0);
    
    int updateRole(final SysRole p0);
    
    int insertRole(final SysRole p0);
    
    int deleteRoleById(final Long p0);
    
    int deleteRoleByIds(final Long[] p0);
}
